### Property

# Gck Object:session

since: 2

#### Declaration

    property session: Gck.Session [ read, write, construct-only ]

#### Description [src]

The PKCS11 session to make calls on when this object needs to perform operations on itself.

If this is NULL then a new session is opened for each operation, such as gck_object_get(), `gck_object_set()` or gck_object_destroy().

Type: | `GckSession`
Available since: | 2

Getter method | `gck_object_get_session()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes